Package org.snpeff.pdb

# Class PdbFile

java.lang.Object
org.snpeff.pdb.PdbFile

public class PdbFile extends Object
A structure that reads PDB files

This code is similar to 'PDBFileReader' from BioJava, but the BioJava version doesn't close file descriptors and eventually crashes when reading many files.

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PDB_ENT_EXT`
`static final String`
`PDB_ENT_EXT_GZ`
`static final String`
`PDB_EXT`
`static final String`
`PDB_EXT_GZ`
`static final String[]`
`PDB_EXTS`
`static final double`
`PDB_RESOLUTION_UNSET`
`static final String`
`UNIPROT_DATABASE`

## Constructor Summary

Constructors
Constructor
Description
`PdbFile(ProteinInteractions proteinInteractions, String fileName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`fileName2ProteinId()`
Parse ProteinId from PDB file name
`String`
`getProteinId()`
`org.biojava.nbio.structure.Structure`
`load()`
Opens filename, parses it and returns aStructure object .
`void`
`pdbAnalysis()`
Analyze a PDB file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PDB_ENT_EXT

public static final String PDB_ENT_EXT

See Also:
  - Constant Field Values

### PDB_ENT_EXT_GZ

public static final String PDB_ENT_EXT_GZ

See Also:
  - Constant Field Values

### PDB_EXT

public static final String PDB_EXT

See Also:
  - Constant Field Values

### PDB_EXT_GZ

public static final String PDB_EXT_GZ

See Also:
  - Constant Field Values

### PDB_EXTS

public static final String[] PDB_EXTS

### PDB_RESOLUTION_UNSET

public static final double PDB_RESOLUTION_UNSET

See Also:
  - Constant Field Values

### UNIPROT_DATABASE

public static final String UNIPROT_DATABASE

See Also:
  - Constant Field Values

## Constructor Details

### PdbFile

public PdbFile(ProteinInteractions proteinInteractions, String fileName)

## Method Details

### fileName2ProteinId

public String fileName2ProteinId()
Parse ProteinId from PDB file name

### getProteinId

public String getProteinId()

### load

public org.biojava.nbio.structure.Structure load() throws IOException
Opens filename, parses it and returns aStructure object .

Throws:
  `IOException`

### pdbAnalysis

public void pdbAnalysis() throws IOException
Analyze a PDB file

Throws:
  `IOException`